Subject: bug#45654: Building guile on x86_64 for aarch64 fails because of a missing guile

From: Stefan <[email-masked]>
Date: Wed, 6 Jan 2021 12:35:38 +0100

Hi Ludo’!

> Stefan: I recommend against ‘--disable-chroot’ as anything could leak
> into build processes.

Thanks for your reply. I understand that ‘--disable-chroot’ is not a good idea. In the end my try building guix over night fails with test errors. As I wrote in the bug ticket, I even did a reboot after the reconfigure. But just restarting qemu-binfmt and guix-daemon is no solution in my case:

stefan@guix ~$ sudo herd restart qemu-binfmt
Service qemu-binfmt has been stopped.
Service qemu-binfmt has been started.
stefan@guix ~$ sudo herd restart guix-daemon
Service guix-daemon has been stopped.
Service guix-daemon has been started.
stefan@guix ~$ guix build --system=aarch64-linux guix
Folgende Ableitung wird erstellt:
   /gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv
/gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv wird erstellt …
while setting up the build environment: executing `/gnu/store/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2/bin/guile': No such file or directory
builder for `/gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv' failed with exit code 1
Erstellung von /gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv fehlgeschlagen
Das Erstellungsprotokoll kann unter „/var/log/guix/drvs/4w/dh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv.bz2“ eingesehen werden.
guix build: error: build of `/gnu/store/4wdh7yy6g7imycaz9c21vcmk9l97qnpv-guix-1.2.0-8.7624ebb.drv' failed

I’ll now retry with

sudo -b env -i PATH=/gnu/store/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2/bin /gnu/store/ca91bk34z3hmzv5d8j5xi0z8f4riyx7m-guix-1.2.0-8.7624ebb/bin/guix-daemon --build-users-group guixbuild --max-silent-time 0 --timeout 0 --log-compression bzip2 --discover=no --substitute-urls https://ci.guix.gnu.org --disable-chroot

What else could I try otherwise?

Bye

Stefan